# CSPP Geo Gridded GLM

CSPP Geo Gridded GLM takes GOES GLM Level 2 LCFA files and grids them to the ABI
fixed grid. It does this using the open source glmtools python package by Eric Bruning.

More information can be found at:

https://github.com/deeplycloudy/glmtools

And the methods are described in Bruning et al. (2019):

Bruning, E., Tillier, C. E., Edgington, S. F., Rudlosky, S. D., Zajic, J.,Gravelle, C., et al.
(2019). Meteorological imagery for the Geostationary Lightning Mapper. Journal of Geophysical
Research: Atmospheres, 2019; 124: 14285 14309. https://doi.org/10.1029/2019JD030874


## USAGE

cspp-geo-gglm.sh

This script creates one minute grids from three GLM L2+ LCFA input files. It also has a "realtime"
option where, provided a single input file, it will determine if an entire minute is available and
begin gridding if appropriate.


cspp-geo-gglm-make-grids.sh

This is a wrapper for the `make_GLM_grids.py` example utility provided by glmtools. Users may
find this script useful for creating grids with custom resolutions or frame durations.